package com.emr.dao.his;

import com.emr.entity.his.HISBA1;
import com.emr.entity.his.HISBA6;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HISBA6Mapper {
    int deleteByPrimaryKey(Long fid);

    int insert(HISBA6 record);

    int insertSelective(HISBA6 record);

    HISBA6 selectByPrimaryKey(Long fid);

    int updateByPrimaryKeySelective(HISBA6 record);

    int updateByPrimaryKey(HISBA6 record);

    List<HISBA6> selectAllByParam(@Param("fprn") String fprn, @Param("ftimes") Short ftimes);
}